Index: waf
===================================================================
--- waf	(revision 36e663162fad54bc3a5631fc415aa39f7c8d1f17)
+++ waf	(revision 45857982a65fb66c3ca15a805c1585bb37c53b53)
@@ -1,5 +1,5 @@
 #!/usr/bin/env python
 # encoding: ISO8859-1
-# Thomas Nagy, 2005-2012
+# Thomas Nagy, 2005-2015
 
 """
@@ -31,11 +31,13 @@
 """
 
-import os, sys
-
-VERSION="1.7.16"
-REVISION="9ca17eb492c97b689870b4ff9db75880"
+import os, sys, inspect
+
+VERSION="1.8.7"
+REVISION="e6b2961ae4a2b8021fcc5c4bba50704b"
+GIT="a72bd89be3e9fc5e5dd6e144e4339a1ed7889686"
 INSTALL=''
-C1='#%'
-C2='#$'
+C1='#/'
+C2='#+'
+C3='#('
 cwd = os.getcwd()
 join = os.path.join
@@ -54,6 +56,6 @@
 	sys.exit(1)
 
-def unpack_wafdir(dir):
-	f = open(sys.argv[0],'rb')
+def unpack_wafdir(dir, src):
+	f = open(src,'rb')
 	c = 'corrupt archive (%d)'
 	while 1:
@@ -66,5 +68,5 @@
 			break
 	if not txt: err(c % 3)
-	txt = txt[1:-1].replace(b(C1), b('\n')).replace(b(C2), b('\r'))
+	txt = txt[1:-1].replace(b(C1), b('\n')).replace(b(C2), b('\r')).replace(b(C3), b('\x00'))
 
 	import shutil, tarfile
@@ -72,5 +74,5 @@
 	except OSError: pass
 	try:
-		for x in ['Tools', 'extras']:
+		for x in ('Tools', 'extras'):
 			os.makedirs(join(dir, 'waflib', x))
 	except OSError:
@@ -101,5 +103,5 @@
 		t.close()
 
-	for x in ['Tools', 'extras']:
+	for x in ('Tools', 'extras'):
 		os.chmod(join('waflib',x), 493)
 
@@ -128,6 +130,6 @@
 
 def find_lib():
-	name = sys.argv[0]
-	base = os.path.dirname(os.path.abspath(name))
+	src = os.path.abspath(inspect.getfile(inspect.getmodule(err)))
+	base, name = os.path.split(src)
 
 	#devs use $WAFDIR
@@ -142,5 +144,5 @@
 
 	dirname = '%s-%s-%s' % (WAF, VERSION, REVISION)
-	for i in [INSTALL,'/usr','/usr/local','/opt']:
+	for i in (INSTALL,'/usr','/usr/local','/opt'):
 		w = test(i + '/lib/' + dirname)
 		if w: return w
@@ -152,5 +154,5 @@
 
 	#unpack
-	unpack_wafdir(dir)
+	unpack_wafdir(dir, src)
 	return dir
 
